play.mvc

## Annotation Type Before

    @Retention(value=RUNTIME)
     @Target(value=METHOD)
    public @interface Before

Mark this method as @Before interceptor

### Optional Element Summary

Optional Elements
`java.lang.String[]` `only` Only intercept these actions
`int` `priority` Interceptor priority (0 is high priority)
`java.lang.String[]` `unless` Does not intercept these actions

### Element Detail

#### unless

    public abstract java.lang.String[] unless

Does not intercept these actions

Returns:
  List of actions not to intercept

Default:
  {}

#### only

    public abstract java.lang.String[] only

Only intercept these actions

Returns:
  List of actions to intercept

Default:
  {}

#### priority

    public abstract int priority

Interceptor priority (0 is high priority)

Returns:
  The Interceptor priority

Default:
  0